# $Revision: 1.26 $, $Date: 2010/01/21 19:40:33 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library to access data on a CDDB server
Summary(pl.UTF-8):	Biblioteka dostępu do danych na serwerze CDDB
Name:		libcddb
Version:	1.3.2
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libcddb/%{name}-%{version}.tar.bz2
# Source0-md5:	8bb4a6f542197e8e9648ae597cd6bc8a
URL:		http://libcddb.sourceforge.net/
BuildRequires:	autoconf >= 2.55
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.4
BuildRequires:	libcdio-devel >= 0.76
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libcdio >= 0.76
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org/). It
tries to be as cross-platform as possible.

%description -l pl.UTF-8
libcddb to biblioteka zawierająca implementacje protokołów (CDDBP,
HTTP, SMTP) dostępu do danych na serwerze CDDB (http://freedb.org/).
Próbuje być przenośna na ile to możliwe.

%package devel
Summary:	Header files for libcddb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcddb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcddb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcddb.

%package static
Summary:	Static libcddb library
Summary(pl.UTF-8):	Statyczna biblioteka libcddb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcddb library.

%description static -l pl.UTF-8
Statyczna biblioteka libcddb.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install examples
install examples/*.{c,h} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/cddb_query
%attr(755,root,root) %{_libdir}/libcddb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcddb.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcddb.so
%{_libdir}/libcddb.la
%{_includedir}/cddb
%{_pkgconfigdir}/libcddb.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcddb.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcddb.spec,v $
Revision 1.26  2010/01/21 19:40:33  megabajt
- updated to 1.3.2

Revision 1.25  2009/12/31 16:43:35  megabajt
- release 4

Revision 1.24  2008/10/31 12:19:01  megabajt
- release 3

Revision 1.23  2008/07/27 23:04:50  arekm
- release 2

Revision 1.22  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.20  2006/11/17 21:11:07  qboosh
- updated deps

Revision 1.19  2006/11/17 21:03:35  qboosh
- updated to 1.3.0

Revision 1.18  2006/10/04 22:36:48  qboosh
- updated to 1.2.2

Revision 1.17  2006/03/22 02:52:11  pluto
- release 3 (rebuild with new libcdio).

Revision 1.16  2006/02/19 09:37:37  pluto
- release 2 (rebuild with new libcdio).

Revision 1.15  2005/08/13 21:40:35  charles
- BR: gettext-devel

Revision 1.14  2005/08/13 19:11:47  qboosh
- updated to 1.2.1

Revision 1.13  2005/07/24 23:08:04  qboosh
- updated to 1.2.0 (note: new soname)

Revision 1.12  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.11  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.10  2005/06/15 16:51:32  witekfl
- added bcond_without static
- BR: libcdio >= 0.74 because build failed with 0.67

Revision 1.9  2005/05/21 07:42:28  qboosh
- updated to 1.0.2

Revision 1.8  2005/04/23 17:06:36  qboosh
- updated to 1.0.1

Revision 1.7  2005/04/17 19:36:36  qboosh
- updated to 1.0.0

Revision 1.6  2004/12/27 23:12:31  qboosh
- release 2

Revision 1.5  2004/12/27 23:11:59  qboosh
- proper dep for automake
- BR libcdio-devel, pkgconfig to build with cdio support

Revision 1.4  2004/10/16 21:06:56  paszczus
- updated to 0.9.6
- added Source0-size

Revision 1.3  2004/07/22 20:55:44  qboosh
- updated to 0.9.5

Revision 1.2  2004/01/09 17:41:13  jajcus
- Release: 2
- refresh config.sub (for AMD64)

Revision 1.1  2003/12/30 23:11:44  qboosh
- new
